<?php 
/*
credit:
http://trevordavis.net/blog/wordpress-jquery-contact-form-without-a-plugin/
*/
global $data;
//If the form is submitted
if(isset($_POST['submitted'])) {

	//Check to see if the honeypot captcha field was filled in
	if(trim($_POST['checking']) !== '') {
		$captchaError = true;
	} else {
	
		//Check to make sure that the name field is not empty
		if(trim($_POST['contactName']) === '') {
			$nameError = 'You forgot to enter your name.';
			$hasError = true;
		} else {
			$name = trim($_POST['contactName']);
		}
		
		//Check to make sure sure that a valid email address is submitted
		if(trim($_POST['email']) === '')  {
			$emailError = 'You forgot to enter your email address.';
			$hasError = true;
		} else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
			$emailError = 'You entered an invalid email address.';
			$hasError = true;
		} else {
			$email = trim($_POST['email']);
		}
			
		//Check to make sure comments were entered	
		if(trim($_POST['comments']) === '') {
			$commentError = 'You forgot to enter your comments.';
			$hasError = true;
		} else {
			if(function_exists('stripslashes')) {
				$comments = stripslashes(trim($_POST['comments']));
			} else {
				$comments = trim($_POST['comments']);
			}
		}
			
		//If there is no error, send the email
		if(!isset($hasError)) {

			$emailTo = ''.$data['op_emailaddress'].'';
			$subject = 'Contact Form Submission : '.$name;
			$sendCopy = trim($_POST['sendCopy']);
			$body = "Name: $name \n\nEmail: $email \n\nComments: $comments";
			$headers = 'From: '.get_bloginfo('name').' <'.$emailTo.'>' . "\r\n" . 'Reply-To: ' . $email;
			
			mail($emailTo, $subject, $body, $headers);

			if($sendCopy == true) {
				$subject = 'You emailed '.$name;
				$headers = 'From: '.$name.' <'.$emailTo.'>';
				mail($email, $subject, $body, $headers);
			}

			$emailSent = true;

		}
	}
} ?>

<?php if(isset($emailSent) && $emailSent == true) { ?>

	<div class="alert alert-success">
		<p>Thanks, your email was successfully sent. I will be in touch soon.</p>
	</div>

<?php } else { ?>
		
		<?php if(isset($hasError) || isset($captchaError)) { ?>
			<div class="alert alert-error fontred">There was an error submitting the form.</div>
		<?php } ?>
	
		<form action="<?php the_permalink(); ?>" id="contactForm" method="post">
	
			<ol class="contactform">
				<li><label for="contactName" class="uppercase">Name</label>
					<input type="text" name="contactName" id="contactName" value="<?php if(isset($_POST['contactName'])) echo $_POST['contactName'];?>" class="requiredField" placeholder="Your Name*" title="Your Name" />
					<?php if($nameError != '') { ?>
						<span class="fontred"><?=$nameError;?></span> 
					<?php } ?>
				</li>
				
				<li><label for="email" class="uppercase">Email</label>
					<input type="text" name="email" id="email" value="<?php if(isset($_POST['email']))  echo $_POST['email'];?>" class="requiredField email"  placeholder="Your Email" title="Your Email" />
					<?php if($emailError != '') { ?>
						<span class="fontred"><?=$emailError;?></span>
					<?php } ?>
				</li>
				
				<li><label for="commentsText" class="uppercase">Message</label>
					<textarea name="comments" id="commentsText" class="requiredField" placeholder="Your Message*" title="Your Message*"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?></textarea>
					<?php if($commentError != '') { ?>
						<span class="fontred"><?=$commentError;?></span> 
					<?php } ?>
				</li>
				<li class="inline"><input type="checkbox" name="sendCopy" id="sendCopy" value="true"<?php if(isset($_POST['sendCopy']) && $_POST['sendCopy'] == true) echo ' checked="checked"'; ?> /> <label for="sendCopy">Send a copy of this email to yourself</label></li>

				<li><label for="checking" class="screenReader inline2">Don't enter anything in this field</label><input type="text" name="checking" id="checking" class="screenReader small" value="<?php if(isset($_POST['checking'])) echo $_POST['checking'];?>" /></li>
				
				<li><input type="hidden" name="submitted" id="submitted" value="true" /><button type="submit" class="btn btn-primary btn-primaryx"><strong>Send Message Now</strong></button></li>
			</ol>
		</form>
	
<?php } ?>